import request from '@/utils/request'

// 查询快递编码列表
export function listExpressKdCode(query) {
  return request({
    url: '/hezhi/expressKdCode/list',
    method: 'get',
    params: query
  })
}

// 查询快递编码详细
export function getExpressKdCode(id) {
  return request({
    url: '/hezhi/expressKdCode/' + id,
    method: 'get'
  })
}

// 新增快递编码
export function addExpressKdCode(data) {
  return request({
    url: '/hezhi/expressKdCode',
    method: 'post',
    data: data
  })
}

// 修改快递编码
export function updateExpressKdCode(data) {
  return request({
    url: '/hezhi/expressKdCode',
    method: 'put',
    data: data
  })
}

// 删除快递编码
export function delExpressKdCode(id) {
  return request({
    url: '/hezhi/expressKdCode/' + id,
    method: 'delete'
  })
}
